# Grey's ModPack

Team-oriented, balance-conscious mods to streamline your ROR2 experience

> Known Issue: TeammateRevives appears to be causing an issue where clients may not see the Game Summary screen.

## Goals
0. Avoid disrupting the fundamental balance of the base game.
1. Incentivize cooperation
  - Revives are now possible, but pose a risk to the reviver and revivee.
  - Loot drops are shared! No more quietly snagging loot - call it out to your team.
2. Improve QoL
  - Resume game on crash
  - Join games in progress
  - Much more. Details below!

## Mod Details

### Multiplayer Tweaks

- [For Command & Sacrifice Artifacts] Item drops are available to all players! 
  - Drop rates and bad luck protection are implemented so that drops are balanced for the player count.
- Player Drop In
  - Remembers what you had if you disconnected
  - Catch-up mechanic grants items to joining players
- Multiplayer pause (type `plspause` in chat to toggle)
- Allow up to 16 players per lobby
- You can revive people now, but it hurts and you'll lose max health for the round. 
  - Death Curse (debuff):
    - There is a 100% chance for a revived player to be cursed
    - There is a 75% chance for a reviver to be cursed
    - Reduce Max HP significantly (1 stack lowers max health by 25%)
	- 1 Stack expires at the start of each stage
  - Charon's Obol (new green item):
    - Each copy will reduce curse by 1 additional stack per stage
    - When a player dies their Obol stacks will
	  - Reduce the revive zone's damage to allies
	  - Reduce revive duration
      - Increase the revive zone's size

### Game Tweaks

- Ability to resume your most recent run if it ended with a host crash
- Bosses are less likely to repeat
- Kills charge the teleporter after the boss is killed
- Ability to disable specific items from the character selection screen
- More enemies in the first two waves to improve early game pacing.
- Sprint by default. Hold what was formerly your sprint key to walk (`[CTRL]` by default).

### Convenience

- Items that fall off the map are teleported up
- Faster restarts and character swaps (new options in the pause menu)
- Your equipment is paused in the Baazar if you have a Gesture of the Drowned
- Make prices visible from further away, making it easier to find chests and determine if they are empty or not.
- Automatically mark teleporter for all players once it is found.


## Changelog

**1.7.0**
- Lower early round spawn boost from 10% -> 5%
- Increase revive timer from 6 -> 10 seconds
- Actually include TeammateRevival in dependencies

**1.6.0**
- Update README
- Update dependencies

**1.5.0**
- Add TeammateRevival

**1.4.0**
- Add ScrollableLobbyUI to improve the UI for RulebookUnlocker
- Add CustomHoloRange for better chest/drone price visibility
- Add ActuallyFaster for faster printers, scrappers, etc
- Add BetterGameplay
  - Items that fall off the map are teleported up
  - Your equipment is paused in the Baazar if you have a Gesture of the Drowned

**1.3.0**
- Add ProperSave for crash protection
- Artifact of Command warning in README
- Update RiskofThunder-R2API_RecalculateStats to 1.3.0

**1.2.0**
- Tone down EarlySpawnBoost's bonus CombatDirector credits from 25% to 10%
- Add RulebookUnlocker to allow disabling items and equipment

**1.1.0**
- Add TooManyFriends

**1.0.0**
- Initial public release
